import 'package:flutter/material.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';
import 'package:get/get.dart';
import 'package:track_common/track_common.dart';
import 'package:track_common/view.dart';

import 'pages.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    info('size: ${MediaQuery.of(context).size}');
    return GetMaterialApp(
      debugShowCheckedModeBanner: true,
      title: '小飞龙定向场控',
      theme: appThemeData(),
      darkTheme: appThemeData(),
      localizationsDelegates: AppLocalizations.localizationsDelegates,
      supportedLocales: AppLocalizations.supportedLocales,
      getPages: getPages,
      initialRoute: InitView.name,
    );
  }
}
